Bug 1471281 - database error while installing java
database error while installing java
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: java-1.8.0-openjdk (Show other bugs)
24
x86_64 Linux
unspecified Severity high
: ---
: ---
Assigned To: jiri vanek
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2017-07-14 17:19 EDT by customercare
Modified: 2017-07-18 08:36 EDT (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-07-18 08:36:36 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description customercare 2017-07-14 17:19:27 EDT
Description of problem:

while a normal "dnf update" this was shown : 

Fehler: db5 Fehler(-30969) von dbenv->open: BDB0091 DB_VERSION_MISMATCH: 

See additional textoutput below for more informations.

This lead to and another error, because /usr/bin(java was not linked to
/etc/alternatives/java and therefor not to the installed java JRE.

Problem here:

dnf reinstall java*

did not fix it.


Version-Release number of selected component (if applicable):

java-1.8.0-openjdk-headless-1:1.8.0.131-3.b12.fc24.x86_64


Additional info:

  Aktualisieren    : python3-dnf-1.1.10-4.fc24.noarch                                        142/423 
  Aktualisieren    : dnf-1.1.10-4.fc24.noarch                                                143/423 
  Aktualisieren    : python3-dnf-plugins-core-0.1.21-5.fc24.noarch                           144/423 
  Aktualisieren    : sssd-krb5-1.15.2-5.fc24.x86_64                                          145/423 
  Aktualisieren    : sssd-ldap-1.15.2-5.fc24.x86_64                                          146/423 
  Aktualisieren    : sssd-1.15.2-5.fc24.x86_64                                               147/423 
  Aktualisieren    : java-1.8.0-openjdk-headless-1:1.8.0.131-3.b12.fc24.x86_64               148/423 
Warnung: /usr/lib/jvm/java-1.8.0-openjdk-1.8.0.131-3.b12.fc24.x86_64/jre/lib/security/java.security erstellt als /usr/lib/jvm/java-1.8.0-openjdk-1.8.0.131-3.b12.fc24.x86_64/jre/lib/security/java.security.rpmnew
Warnung: /usr/lib/jvm/java-1.8.0-openjdk-1.8.0.131-3.b12.fc24.x86_64/jre/lib/security/nss.cfg erstellt als /usr/lib/jvm/java-1.8.0-openjdk-1.8.0.131-3.b12.fc24.x86_64/jre/lib/security/nss.cfg.rpmnew
Fehler: db5 Fehler(-30969) von dbenv->open: BDB0091 DB_VERSION_MISMATCH: Database environment version mismatch
Fehler: Packages-Index kann nicht mittels db5 geöffnet werden -  (-30969)
Fehler: Paket-Datenbank in /var/lib/rpm kann nicht geöffnet werden
Fehler: db5 Fehler(-30969) von dbenv->open: BDB0091 DB_VERSION_MISMATCH: Database environment version mismatch
Fehler: Packages-Index kann nicht mittels db5 geöffnet werden -  (-30969)
Fehler: Paket-Datenbank in /var/lib/rpm kann nicht geöffnet werden
Fehler: db5 Fehler(-30969) von dbenv->open: BDB0091 DB_VERSION_MISMATCH: Database environment version mismatch
Fehler: Packages-Index kann nicht mittels db5 geöffnet werden -  (-30969)
Fehler: Paket-Datenbank in /var/lib/rpm kann nicht geöffnet werden
Fehler: db5 Fehler(-30969) von dbenv->open: BDB0091 DB_VERSION_MISMATCH: Database environment version mismatch
Fehler: Packages-Index kann nicht mittels db5 geöffnet werden -  (-30969)
Fehler: Paket-Datenbank in /var/lib/rpm kann nicht geöffnet werden
restored /usr/lib/jvm/java-1.8.0-openjdk-1.8.0.131-3.b12.fc24.x86_64/jre/lib/security/nss.cfg.rpmnew to /usr/lib/jvm/java-1.8.0-openjdk-1.8.0.131-3.b12.fc24.x86_64/jre/lib/security/nss.cfg
Fehler: db5 Fehler(-30969) von dbenv->open: BDB0091 DB_VERSION_MISMATCH: Database environment version mismatch
Fehler: Packages-Index kann nicht mittels db5 geöffnet werden -  (-30969)
Fehler: Paket-Datenbank in /var/lib/rpm kann nicht geöffnet werden
Fehler: db5 Fehler(-30969) von dbenv->open: BDB0091 DB_VERSION_MISMATCH: Database environment version mismatch
Fehler: Packages-Index kann nicht mittels db5 geöffnet werden -  (-30969)
Fehler: Paket-Datenbank in /var/lib/rpm kann nicht geöffnet werden
Fehler: db5 Fehler(-30969) von dbenv->open: BDB0091 DB_VERSION_MISMATCH: Database environment version mismatch
Fehler: Packages-Index kann nicht mittels db5 geöffnet werden -  (-30969)
Fehler: Paket-Datenbank in /var/lib/rpm kann nicht geöffnet werden
Fehler: db5 Fehler(-30969) von dbenv->open: BDB0091 DB_VERSION_MISMATCH: Database environment version mismatch
Fehler: Packages-Index kann nicht mittels db5 geöffnet werden -  (-30969)
Fehler: Paket-Datenbank in /var/lib/rpm kann nicht geöffnet werden
restored /usr/lib/jvm/java-1.8.0-openjdk-1.8.0.131-3.b12.fc24.x86_64/jre/lib/security/java.security.rpmnew to /usr/lib/jvm/java-1.8.0-openjdk-1.8.0.131-3.b12.fc24.x86_64/jre/lib/security/java.security
  Aktualisieren    : nss-tools-3.30.2-1.0.fc24.x86_64                                        149/423 
  Aktualisieren    : openssl-1:1.0.2k-1.fc24.x86_64                                          150/423 
  Aktualisieren    : mariadb-3:10.1.24-3.fc24.x86_64                                         151/423 
  Aktualisieren    : mariadb-server-3:10.1.24-3.fc24.x86_64                                  152/423 
  Aktualisieren    : perl-Net-Server-2.008-6.fc24.noarch                                     153/423 
  Aktualisieren    : bind99-license-9.9.9-4.P8.fc24.noarch                                   154/423 
  Aktualisieren    : GeoIP-GeoLite-data-2017.04-1.fc24.noarch
Comment 1 jiri vanek 2017-07-18 03:38:22 EDT
hi. Its quite hard to read German-language-written  errors.  Its many years from secondary school.....

Anyway - reinstall of openjdk is broken.  Jdk itself is only partially guilty - https://bugzilla.redhat.com/show_bug.cgi?id=1355687 - its dnf who changed the path and its fix is stil in negotiations.

Remove without deps and install should do the job or maybe also double reinstall.

As far as I understand  the error, it is lonly issue caused by some rare ad random failure on your specific machine. 

Rpm can fix its own database  on its own (--rebuilddb iirc). I would recommend downgrade jdk (if it will work) or remove complelty, rebuild db, and then undo dnf transaction.
Comment 2 customercare 2017-07-18 08:32:29 EDT
i can confirm, that :

dnf erase java
dnf install java 

fixes the problem.
Comment 3 jiri vanek 2017-07-18 08:36:36 EDT
Ok. closing and hopes for not repeating. Thank you!

Note You need to log in before you can comment on or make changes to this bug.